Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 692334 - pmasked for removal: media-plugins/vdr-console-0.6.0
Summary: pmasked for removal: media-plugins/vdr-console-0.6.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo VDR Project
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2019-08-17 07:30 UTC by Toralf Förster
Modified: 2020-02-18 14:58 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.05 KB, text/plain)
2019-08-17 07:30 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,244.26 KB, text/plain)
2019-08-17 07:30 UTC, Toralf Förster
Details
environment (environment,109.39 KB, text/plain)
2019-08-17 07:30 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,40.46 KB, application/x-bzip)
2019-08-17 07:30 UTC, Toralf Förster
Details
media-plugins:vdr-console-0.6.0:20190817-000255.log (media-plugins:vdr-console-0.6.0:20190817-000255.log,4.11 KB, text/plain)
2019-08-17 07:31 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,26.52 KB, application/x-bzip)
2019-08-17 07:31 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-08-17 07:30:46 UTC
      |     ~~~~^~~~~~~~~~~~~~~~~~~~~~
g++ -O2 -pipe -march=native -fPIC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -c -DCONFDIR=\"/etc/vdr\" -DUSE_PLUGINMISSING -DPLUGIN_NAME_I18N='"console"' -D_GNU_SOURCE -I/usr/include -I/usr/include  terminalemulation.c
terminalemulation.c:13:10: fatal error: stropts.h: No such file or directory
   13 | #include <stropts.h>
      |          ^~~~~~~~~~~
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_developer-abi32+64-20190810-161025

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
  [3]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.36.0 *
  [2]   rust-bin-1.37.0
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.12.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpvO media-plugins/vdr-console
[ebuild  N    ] media-plugins/vdr-console-0.6.0
Comment 1 Toralf Förster gentoo-dev 2019-08-17 07:30:49 UTC
Created attachment 587092 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-08-17 07:30:52 UTC
Created attachment 587094 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2019-08-17 07:30:55 UTC
Created attachment 587096 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2019-08-17 07:30:58 UTC
Created attachment 587098 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2019-08-17 07:31:01 UTC
Created attachment 587100 [details]
media-plugins:vdr-console-0.6.0:20190817-000255.log
Comment 6 Toralf Förster gentoo-dev 2019-08-17 07:31:04 UTC
Created attachment 587102 [details]
temp.tbz2
Comment 7 Joerg Bornkessel gentoo-dev 2019-12-15 18:06:13 UTC
media-plugins/vdr-console failed after glibc update.

The project is given up by upstream years ago.
There is no HOMAPAGE and SRC_URI available.
Package will be removed on ~15 Jan 2020.
Comment 8 Larry the Git Cow gentoo-dev 2020-01-15 21:08:02 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba6811c108b11b4fd5189ae4808d4e0a35efd39a

commit ba6811c108b11b4fd5189ae4808d4e0a35efd39a
Author:     Joerg Bornkessel <hd_brummy@gentoo.org>
AuthorDate: 2020-01-15 21:05:59 +0000
Commit:     Joerg Bornkessel <hd_brummy@gentoo.org>
CommitDate: 2020-01-15 21:07:44 +0000

    package.mask: removed pmasked media-plugins/vdr-console
    
    package is broken by glibc update
    this will close bug 692334
    
    Closes: https://bugs.gentoo.org/692334
    
    Signed-off-by: Joerg Bornkessel <hd_brummy@gentoo.org>

 profiles/package.mask | 8 --------
 1 file changed, 8 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02395964f1954f3250f4ade8ea8f268adff558a2

commit 02395964f1954f3250f4ade8ea8f268adff558a2
Author:     Joerg Bornkessel <hd_brummy@gentoo.org>
AuthorDate: 2020-01-15 21:02:05 +0000
Commit:     Joerg Bornkessel <hd_brummy@gentoo.org>
CommitDate: 2020-01-15 21:07:42 +0000

    package.mask: removed media-plugins/vdr-console
    
    media-plugins/vdr-console removed from the tree
    The plugin is broken by glibc update
    this will close bug 692334
    
    Closes: https://bugs.gentoo.org/692334
    
    Signed-off-by: Joerg Bornkessel <hd_brummy@gentoo.org>

 media-plugins/vdr-console/Manifest                 |  1 -
 .../files/vdr-console-0.6.0-uint64.diff            | 33 ---------
 .../files/vdr-console-0.6.0-vdr-1.3.18.diff        | 43 ------------
 .../vdr-console-0.6.0-vdr-1.6.x-compilefix.diff    | 79 ----------------------
 media-plugins/vdr-console/metadata.xml             |  8 ---
 media-plugins/vdr-console/vdr-console-0.6.0.ebuild | 31 ---------
 6 files changed, 195 deletions(-)